astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- Param

# Param

class `astropy.io.votable.tree.``Param`(votable, ID=None, name=None, value=None, datatype=None, arraysize=None, ucd=None, unit=None, width=None, precision=None, utype=None, type=None, id=None, config={}, pos=None, **extra)

  Bases: `astropy.io.votable.tree.Field`

  PARAM element: constant-valued columns in the data.

  `Param` objects are a subclass of `Field`, and have all of its methods and members. Additionally, it defines `value`.

  Attributes Summary

  `value` | [required] The constant value of the parameter. Its type is

  Methods Summary

  `to_xml`(w, **kwargs) |

  Attributes Documentation

  `value`

    [required] The constant value of the parameter. Its type is determined by the `datatype` member.

  Methods Documentation

  `to_xml`(w, **kwargs)